

### Paquet opkg

```bash title="Formats supportés"
magick --version
identify --version

Version: ImageMagick 7.0.9-5 Q8 x86_64 2021-04-19 https://imagemagick.org
Copyright: © 1999-2019 ImageMagick Studio LLC
License: https://imagemagick.org/script/license.php
Features: DPC Modules
Delegates (built-in): freetype jng jpeg ltdl png tiff zlib
```



```bash
identify /volume1/web/IMG_0636.HEIC

identify: NoDecodeDelegateForThisImageFormat `HEIC' @ error/constitute.c/ReadImage/562.
```



### Paquet SynoCommunity

```bash title="Formats supportés"
/usr/local/bin/magick --version

Version: ImageMagick 7.0.11-6 Q16 x86_64 2021-03-28 https://imagemagick.org
Copyright: (C) 1999-2021 ImageMagick Studio LLC
License: https://imagemagick.org/script/license.php
Features: Cipher DPC HDRI Modules OpenMP(4.5)
Delegates (built-in): bzlib fontconfig freetype heic jng jp2 jpeg lcms ltdl lzma png tiff webp wmf xml zlib
```



```bash
/usr/local/bin/identify /volume1/web/IMG_0636.HEIC

identify: UnableToOpenModuleFile '/var/services/homes/bruno/.config/ImageMagick/heic.la': No such file or directory @ warning/module.c/GetMagickModulePath/823.
identify: NoDecodeDelegateForThisImageFormat `HEIC' @ error/constitute.c/ReadImage/572.
```



```bash
identify /volume1/web/IMG_0636.HEIC

identify: DecoderNotActivated `/volume1/web/IMG_0636.HEIC' @ error/heic.c/ReadHEICImage/186.
```

https://unix.stackexchange.com/questions/96004/imagemagick-on-open-wrt-router-unabletoopenconfigurefile

```bash
/usr/local/bin/identify -list format

   Format  Module    Mode  Description
-------------------------------------------------------------------------------
      3FR  DNG       r--   Hasselblad CFV/H3D39II
      3G2  VIDEO     r--   Media Container
					.../...
YCbCrA* YCbCr     rw+   Raw Y, Cb, Cr, and alpha samples
      YUV* YUV       rw-   CCIR 601 4:1:1 or 4:2:2

* native blob support
r read support
w write support
+ support for multiple images
```



### Debug

`identify -debug configure -list configure`

```bash
/usr/local/bin/identify -debug configure -list configure
2021-07-10T09:22:23+00:00 0:00.001 0.000u 7.0.11 Configure identify[6366]: utility.c/ExpandFilenames/971/Configure
  Command line: /usr/local/bin/identify {-debug} {configure} {-list} {configure}
2021-07-10T09:22:23+00:00 0:00.001 0.000u 7.0.11 Configure identify[6366]: configure.c/GetConfigureOptions/675/Configure
  Searching for configure file: "cd/configure.xml"
2021-07-10T09:22:23+00:00 0:00.001 0.000u 7.0.11 Configure identify[6366]: configure.c/GetConfigureOptions/675/Configure
  Searching for configure file: "/usr/local/share/ImageMagick-7/configure.xml"
2021-07-10T09:22:23+00:00 0:00.001 0.000u 7.0.11 Configure identify[6366]: configure.c/GetConfigureOptions/675/Configure
  Searching for configure file: "/var/packages/imagemagick/target/lib/ImageMagick-7.0.11//config-Q16HDRI/configure.xml"
2021-07-10T09:22:23+00:00 0:00.001 0.000u 7.0.11 Configure identify[6366]: configure.c/GetConfigureOptions/675/Configure
  Searching for configure file: "configure.xml"
2021-07-10T09:22:23+00:00 0:00.001 0.000u 7.0.11 Configure identify[6366]: configure.c/GetConfigureOptions/675/Configure
  Searching for configure file: "/var/services/homes/bruno/.config/ImageMagick/configure.xml"

Path: [built-in]

Name                  Value
-------------------------------------------------------------------------------
DELEGATES             bzlib fontconfig freetype heic jng jp2 jpeg lcms ltdl lzma png tiff webp wmf xml zlib
FEATURES              Cipher DPC HDRI Modules OpenMP(4.5)
MAGICK_TEMPORARY_PATH /var/services/homes/bruno/tmp
NAME                  ImageMagick
QuantumDepth          Q16
identify: UnableToOpenConfigureFile `configure.xml' @ warning/configure.c/GetConfigureOptions/702.
```

```bash title="Fichiers xml"
/var/packages/imagemagick/target/etc/ImageMagick-7
```



### Mac / Homebrew

```bash title="Homebrew"
# /var/packages/imagemagick/target/lib/ImageMagick-7.0.11/modules-Q16HDRI/coders
/usr/local/Cellar/imagemagick/7.1.0-2_1/lib/ImageMagick/modules-Q16HDRI
-rwxr-xr-x 1 bruno staff   1352 Jul  7 07:26 heic.la
-r--r--r-- 1 bruno staff  73432 Jul  7 07:26 heic.so

#
/usr/local/Cellar/imagemagick/7.1.0-2_1/lib/ImageMagick/config-Q16HDRI
-r--r--r-- 1 bruno staff 6557 Jul  7 07:26 configure.xml

# /var/packages/imagemagick/target/etc/ImageMagick-7
/usr/local/Cellar/imagemagick/7.1.0-2_1/etc/ImageMagick-7
-rw-r--r-- 1 bruno staff   1383 Jun 25 13:22 colors.xml
-rw-r--r-- 1 bruno staff  13804 Jun 25 13:22 delegates.xml
-rw-r--r-- 1 bruno staff   1642 Jun 25 13:22 log.xml
-rw-r--r-- 1 bruno staff 134319 Jul  7 07:26 mime.xml
-rw-r--r-- 1 bruno staff   3773 Jun 25 13:22 policy.xml
-rw-r--r-- 1 bruno staff   2369 Jun 25 13:22 quantization-table.xml
-rw-r--r-- 1 bruno staff  11453 Jun 25 13:22 thresholds.xml
-rw-r--r-- 1 bruno staff  29218 Jun 25 13:22 type-apple.xml
-rw-r--r-- 1 bruno staff   8490 Jun 25 13:22 type-dejavu.xml
-rw-r--r-- 1 bruno staff   9952 Jul  7 07:26 type-ghostscript.xml
-rw-r--r-- 1 bruno staff   8162 Jun 25 13:22 type-urw-base35.xml
-rw-r--r-- 1 bruno staff  13706 Jun 25 13:22 type-windows.xml
-rw-r--r-- 1 bruno staff    612 Jun 25 13:22 type.xml

```

